## org.apache.lucene.queryParser
Class QueryParser.Operator

    java.lang.Object
      org.apache.lucene.util.Parameter
          org.apache.lucene.queryParser.QueryParser.Operator

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  QueryParser

    public static final class QueryParser.Operator

extends Parameter

The default operator for parsing queries. Use `QueryParser.setDefaultOperator(org.apache.lucene.queryParser.QueryParser.Operator)` to change it.

See Also:
  Serialized Form

Field Summary
`static QueryParser.Operator` `AND`
`static QueryParser.Operator` `OR`

Method Summary

Methods inherited from class org.apache.lucene.util.Parameter
`readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OR

    public static final QueryParser.Operator OR

### AND

    public static final QueryParser.Operator AND

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.